#ifndef SCOPE_H
#define SCOPE_H

#include <QWidget>
#include <QTimer>
#include <QSlider>
#include <stdint.h>

class Scope : public QWidget
{
    Q_OBJECT

public:
     Scope(QWidget *parent = 0);
    ~Scope();

public slots:
     void getData();
     void setScale(int val);
     void setShift(int val);

protected:
     void paintEvent(QPaintEvent *event);

private:
     int * data;
     char dataAquired;
     int head;
		 
     long shift, scale;

     QTimer *updateTimer;
     QSlider *shiftSlider;
     QSlider *scaleSlider;
};

#endif
